Bug 263887 - Ports index file isn't updated
Summary: Ports index file isn't updated
Status: Closed FIXED
Alias: None
Product: Services
Classification: Unclassified
Component: FTP/WWW Sites & Mirrors (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-09 19:53 UTC by Yuri Victorovich
Modified: 2022-05-09 21:08 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2022-05-09 19:53:46 UTC
This command returns an old date:
> $ curl -sI https://download.FreeBSD.org/ports/index/INDEX-13.bz2 | grep Last-Modified
> Last-Modified: Fri, 06 May 2022 01:25:17 GMT

It should be updated more frequently than that.


---References---
[1] Repology doesn't update the FreeBSD repository for 3+ days. (https://github.com/repology/repology-updater/issues/1245#issuecomment-1121508484)
Comment 1 Antoine Brodin freebsd_committer 2022-05-09 20:20:48 UTC
Hello,
Can you check that the sync between portsindexbuild and the INDEX mirrors is fine?
Comment 2 Danilo G. Baio freebsd_committer 2022-05-09 21:08:54 UTC
Hi.

That should be fixed in all mirrors in a few minutes. If it doesn't, please re-open this.
And thanks for the report.

$ curl -sI https://download.FreeBSD.org/ports/index/INDEX-13.bz2 | grep Last-Modified
Last-Modified: Mon, 09 May 2022 18:59:21 GM